Main Page Widgets Namespaces Book

# accelmap.h File Reference

## Namespaces

namespace | Gtk
namespace | Gtk::AccelMap

## Functions

void | Gtk::AccelMap::add_entry (const std::string& accel_path, guint accel_key, Gdk::ModifierType accel_mods)
| Registers a new accelerator with the global accelerator map.
bool | Gtk::AccelMap::change_entry (const std::string& accel_path, guint accel_key, Gdk::ModifierType accel_mods, bool replace)
| Changes the accel_key and accel_mods currently associated with accel_path.
void | Gtk::AccelMap::load (const std::string& filename)
| Parses a file previously saved with save() for accelerator specifications, and propagates them accordingly.
void | Gtk::AccelMap::lock_path (const std::string& accel_path)
| Locks the given accelerator path.
bool | Gtk::AccelMap::lookup_entry (const Glib::ustring& accel_path, Gtk::AccelKey& key)
| Looks up the accelerator entry for accel_path and fills in key.
bool | Gtk::AccelMap::lookup_entry (const Glib::ustring& accel_path)
| Looks up the accelerator entry for accel_path.
void | Gtk::AccelMap::save (const std::string& filename)
| Saves current accelerator specifications (accelerator path, key and modifiers) to filename.
void | Gtk::AccelMap::unlock_path (const std::string& accel_path)
| Unlocks the given accelerator path.